import { LineDiscountCfgNames } from '../../../../interface/line-discount-cfg-names.interface';
import { DialogTransactionLineBaseComponent } from '../../../core/base/dialog-transaction-line-base.component';
export declare class DialogTransactionLineDiscountComponent extends DialogTransactionLineBaseComponent {
    configNames: LineDiscountCfgNames;
    showClass(): boolean;
    showPriceListDialog: boolean;
    openThePriceListDialog(): void;
    protected transactionLineSet(): void;
    private _loadLinePricelist;
}
